Bug 1584222 - Review Request: perl-Test-TempDir-Tiny - Temporary directories that stick around when tests fail
Summary: Review Request: perl-Test-TempDir-Tiny - Temporary directories that stick aro...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1584156
TreeView+ depends on / blocked
 
Reported: 2018-05-30 13:57 UTC by Jitka Plesnikova
Modified: 2018-06-01 05:19 UTC (History)
2 users (show)

Fixed In Version: perl-Test-TempDir-Tiny-0.017-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-01 05:19:17 UTC
Type: ---
ppisar: fedora-review+


Attachments (Terms of Use)

Description Jitka Plesnikova 2018-05-30 13:57:15 UTC
Spec URL: https://jplesnik.fedorapeople.org/perl-Test-TempDir-Tiny/perl-Test-TempDir-Tiny.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Test-TempDir-Tiny/perl-Test-TempDir-Tiny-0.017-1.fc29.src.rpm
Description:
This module works with Test::More to create temporary directories that
stick around if tests fail.

Fedora Account System Username: jplesnik@redhat.com

Comment 1 Petr Pisar 2018-05-30 14:51:37 UTC
URL and Source addresses are usable. Ok.

TODO: Remove a trailing slash from the URL tag value. That's the canonical MetaCPAN address.
TODO: Use HTTPS schema instead of HTTP in URL in Source0 addresses. That's where MetaCPAN redirects to.

Source archive (SHA-256: a5d4720d06c440bc273d4e53276388bf807399da887901958690dcbd68a85378) is original. Ok.

Summary verified from lib/Test/TempDir/Tiny.pm. Ok.
Description verified from lib/Test/TempDir/Tiny.pm. Ok.
License verified from lib/Test/TempDir/Tiny.pm, README, t/basic.t, corpus/01-pass.t, corpus/01-fail.t, and LICENSE. Ok.
No XS code, noarch BuildArch is Ok.

TODO: Qualify `perl(Capture::Tiny)' dependency with `>= 0.12' META.json:92.

CPAN::Meta and CPAN::Meta::Prereqs not helpful. Ok.
All tests pass. Ok.

$ rpmlint perl-Test-TempDir-Tiny.spec ../SRPMS/perl-Test-TempDir-Tiny-0.017-1.fc29.src.rpm ../RPMS/noarch/perl-Test-TempDir-Tiny-0.017-1.fc29.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint output is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Test-TempDir-Tiny-0.017-1.fc29.noarch.rpm 
drwxr-xr-x    2 root    root                        0 May 30 16:43 /usr/share/doc/perl-Test-TempDir-Tiny
-rw-r--r--    1 root    root                     3460 May  2 22:31 /usr/share/doc/perl-Test-TempDir-Tiny/CONTRIBUTING.mkdn
-rw-r--r--    1 root    root                     2270 May  2 22:31 /usr/share/doc/perl-Test-TempDir-Tiny/Changes
-rw-r--r--    1 root    root                     5532 May  2 22:31 /usr/share/doc/perl-Test-TempDir-Tiny/README
drwxr-xr-x    2 root    root                        0 May 30 16:43 /usr/share/licenses/perl-Test-TempDir-Tiny
-rw-r--r--    1 root    root                    11500 May  2 22:31 /usr/share/licenses/perl-Test-TempDir-Tiny/LICENSE
-rw-r--r--    1 root    root                     3379 May 30 16:43 /usr/share/man/man3/Test::TempDir::Tiny.3pm.gz
drwxr-xr-x    2 root    root                        0 May 30 16:43 /usr/share/perl5/vendor_perl/Test
drwxr-xr-x    2 root    root                        0 May 30 16:43 /usr/share/perl5/vendor_perl/Test/TempDir
-rw-r--r--    1 root    root                    12883 May  2 22:31 /usr/share/perl5/vendor_perl/Test/TempDir/Tiny.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Test-TempDir-Tiny-0.017-1.fc29.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.2)
      1 perl(:VERSION) >= 5.6.2
      1 perl(B)
      1 perl(Carp)
      1 perl(Cwd)
      1 perl(Errno)
      1 perl(Exporter) >= 5.57
      1 perl(File::Path) >= 2.07
      1 perl(File::Spec::Functions)
      1 perl(File::Temp)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Test-TempDir-Tiny-0.017-1.fc29.noarch.rpm | sort -f | uniq -c
      1 perl(Test::TempDir::Tiny) = 0.017
      1 perl-Test-TempDir-Tiny = 0.017-1.fc29
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Test-TempDir-Tiny-0.017-1.fc29.noarch.rpm 
Binary dependencies resolvable. Ok.

The package builds in F29 (https://koji.fedoraproject.org/koji/taskinfo?taskID=27301211). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please consider fixing the `TODO' items before building this package.
Resolution: Package APPROVED.

Comment 2 Gwyn Ciesla 2018-05-31 12:41:28 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Test-TempDir-Tiny

Comment 3 Jitka Plesnikova 2018-06-01 05:19:17 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.